Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Drummer Class Reference

STK drum sample player class. More...

`#include <Drummer.h>`

Inheritance diagram for stk::Drummer:

List of all members.

## Public Member Functions
| Drummer (void)
| Class constructor.
| ~Drummer (void)
| Class destructor.
void | noteOn (StkFloat instrument, StkFloat amplitude)
| Start a note with the given drum type and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK drum sample player class.

This class implements a drum sampling synthesizer using WvIn objects and one-pole filters. The drum rawwave files are sampled at 22050 Hz, but will be appropriately interpolated for other sample rates. You can specify the maximum polyphony (maximum number of simultaneous voices) via a define in the Drummer.h.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::Drummer::Drummer | ( | void |  | ) |

Class constructor.

An StkError will be thrown if the rawwave path is incorrectly set.

## Member Function Documentation

void stk::Drummer::noteOn | ( | StkFloat | instrument,
|  | StkFloat | amplitude |
| ) |  |  | `[virtual]`

Start a note with the given drum type and amplitude.

Use general MIDI drum instrument numbers, converted to frequency values as if MIDI note numbers, to select a particular instrument. An StkError will be thrown if the rawwave path is incorrectly set.

Implements stk::Instrmnt.

The documentation for this class was generated from the following file:

- Drummer.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.